Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support
Interface PropertyChangeNotifier

All Known Subinterfaces:
  DesktopPanel, Interface, LoadTest, LoadTestAssertion, MockOperation, MockResponse, MockService, ModelItem, Operation, Project, Request, SoapUIAction<T>, TestCase, TestStep, TestSuite, Workspace, XmlDocument, XmlEditorView

All Known Implementing Classes:
  AbstractAddToTestCaseAction, AbstractEditorView, AbstractLoadTestAssertion, AbstractModelItem, AbstractSoapUIAction, AbstractToolsAction, AbstractWsdlMockResponseDesktopPanel, AbstractWsdlModelItem, AbstractWsdlRequestDesktopPanel, AbstractXmlDocument, AddEndpointToInterfaceAction, AddInterfaceActionFromFile, AddInterfaceActionFromURL, AddNewLoadTestAction, AddNewMockOperationAction, AddNewMockServiceAction, AddNewTestCaseAction, AddNewTestSuiteAction, AddOperationToMockServiceAction, AddRequestToMockServiceAction, AddRequestToTestCaseAction, AddWsdlTestStepAction, Axis1XWSDL2JavaAction, Axis2WSDL2CodeAction, ChangeMockOperationAction, ChangeOperationAction, ClearTestCaseAction, CloneAssertionAction, CloneInterfaceAction, CloneLoadTestAction, CloneMockResponseAction, CloneMockServiceAction, CloneRequestAction, CloneTestCaseAction, CloneTestStepAction, CloneTestSuiteAction, CloseOpenProjectsAction, CloseProjectAction, ConfigureAssertionAction, CXFAction, DefaultDesktopPanel, DefaultEndpointStrategyConfigureAction, DefaultXmlDocument, DeleteAssertionAction, DeleteLoadTestAction, DeleteMockOperationAction, DeleteMockResponseAction, DeleteMockServiceAction, DeleteRequestAction, DeleteTestCaseAction, DeleteTestStepAction, DeleteTestSuiteAction, DotNetWsdlAction, EmptyModelItem, ExportDefinitionAction, GenerateMockServiceAction, GenerateTestSuiteAction, GotoStepDesktopPanel, GroovyScriptAssertion, GroovyScriptStepDesktopPanel, GSoapAction, ImportRemoteWsdlProjectAction, ImportWsdlProjectAction, InsertWsdlTestStepAction, InterfaceEndpointsAction, JaxbXjcAction, JBossWSConsumeAction, LoadTestLoadTestRunnerAction, LoadTestOptionsAction, LoadTestRunnerAction, MaxErrorsAssertion, MockRequestXmlDocument, MockResponseXmlDocument, MockServiceOptionsAction, ModelItemDesktopPanel, ModelItemListDesktopPanel, MoveTestCaseDownAction, MoveTestCaseUpAction, MoveTestStepDownAction, MoveTestStepUpAction, NewMockResponseAction, NewRequestAction, NewWorkspaceAction, NewWsdlProjectAction, NotSoapFaultAssertion, OpenClosedProjectsAction, OpenProjectAction, OpenRequestForMockOperationAction, OpenRequestForMockResponseAction, OracleWsaGenProxyAction, PropertiesStepDesktopPanel, PropertyTransfer, RelabelOperationAction, ReloadProjectAction, RemoveInterfaceAction, RemoveProjectAction, RenameAssertionAction, RenameLoadTestAction, RenameMockOperationAction, RenameMockResponseAction, RenameMockServiceAction, RenameProjectAction, RenameRequestAction, RenameTestCaseAction, RenameTestStepAction, RenameTestSuiteAction, RenameWorkspaceAction, RequestXmlDocument, ResponseSLAAssertion, ResponseXmlDocument, SaveAllProjectsAction, SaveProjectAction, SaveProjectAsAction, SchemaComplianceAssertion, SelectOperationAction, SetWaitTimeAction, ShowDesktopPanelAction, ShowOnlineSoapUIHelp, SimpleContainsAssertion, SimpleNotContainsAssertion, SoapFaultAssertion, SoapResponseAssertion, SoapUIActionRegistry.SeperatorAction, SoapUIActionRegistry.SoapUIActionGroupAction, StatisticsDesktopPanel, StatisticsHistoryDesktopPanel, SwitchWorkspaceAction, TcpMonAction, TestCaseOptionsAction, TestCaseTestRunnerAction, TestRunnerAction, TestStepAverageAssertion, TestStepMaxAssertion, TestStepStatusAssertion, TestStepTpsAssertion, TestSuiteTestRunnerAction, ToggleDisableTestStepAction, TransferResponseValuesDesktopPanel, TransferResponseValuesTestStep, UpdateInterfaceAction, WorkspaceImpl, WSCompileAction, WsdlDelayTestStep, WsdlGotoTestStep, WsdlGroovyScriptTestStep, WsdlInterface, WsdlInterfaceDesktopPanel, WsdlLoadTest, WsdlLoadTestDesktopPanel, WsdlLoadTestsModelItem, WsdlMessageAssertion, WsdlMockOperation, WsdlMockOperationDesktopPanel, WsdlMockResponse, WsdlMockResponseDesktopPanel, WsdlMockService, WsdlMockServiceDesktopPanel, WsdlOperation, WsdlProject, WsdlPropertiesTestStep, WsdlRequest, WsdlRequestDesktopPanel, WsdlTestCase, WsdlTestCaseDesktopPanel, WsdlTestRequest, WsdlTestRequestDesktopPanel, WsdlTestRequestStep, WsdlTestStep, WsdlTestStepsModelItem, WsdlTestSuite, WsdlTestSuiteDesktopPanel, WSIAnalyzeAction, WSImportAction, WSIValidateRequestAction, WSIValidateResponseAction, WSToolsJava2WsdlAction, WSToolsRegenerateJava2WsdlAction, WSToolsWsdl2JavaAction, XFireAction, XmlBeans2Action, XmlDocumentAdapter, XmlObjectXmlDocument, XmlSourceEditorFactory.WsdlMockRequestXmlSourceEditor, XmlSourceEditorFactory.WsdlMockResponseXmlSourceEditor, XmlSourceEditorFactory.WsdlRequestXmlSourceEditor, XmlSourceEditorFactory.WsdlResponseXmlSourceEditor, XmlSourceEditorView, XPathContainsAssertion, XQueryContainsAssertion

    public interface PropertyChangeNotifier

Behaviour for a class that notifies property changes

Author:
  Ole.Matzura

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `addPropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `removePropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)`

Method Detail

### addPropertyChangeListener

    void addPropertyChangeListener(java.lang.String propertyName,
                                   java.beans.PropertyChangeListener listener)

### addPropertyChangeListener

    void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

### removePropertyChangeListener

    void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

### removePropertyChangeListener

    void removePropertyChangeListener(java.lang.String propertyName,
                                      java.beans.PropertyChangeListener listener)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.